Package org.apache.sling.caconfig

## Interface ConfigurationResolver

    @ProviderType
    public interface ConfigurationResolver

Getting context-aware configurations for a given resource context. Context-specific configuration may be different for different parts of the resource hierarchy, and configuration parameter inheritance may take place. This service builds on top of the `ConfigurationResourceResolver` and uses that service to resolve configuration resources. These resources can then be converted into application specific configuration objects using the `ConfigurationBuilder`.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull ConfigurationBuilder` `get​(@NotNull org.apache.sling.api.resource.Resource resource)` Get configuration for given resource.

### Method Detail

#### get

    @NotNull
    @NotNull ConfigurationBuilder get​(@NotNull
                                      @NotNull org.apache.sling.api.resource.Resource resource)

Get configuration for given resource.

Parameters:
  `resource` - Context resource
Returns:
  Configuration builder